diff --git a/distrib/utils/sysinst/arch/mac68k/md.c b/distrib/utils/sysinst/arch/mac68k/md.c
index f47052d..20119eb 100644
--- a/distrib/utils/sysinst/arch/mac68k/md.c
+++ b/distrib/utils/sysinst/arch/mac68k/md.c
@@ -134,13 +134,13 @@ md_init_set_status(int flags)
 int
 md_get_info(void)
 {
-	struct disklabel disklabel;
+	struct pm->disklabel pm->disklabel;
 	int fd, i;
 	char dev_name[100];
 	struct apple_part_map_entry block;
 
 	snprintf(dev_name, sizeof(dev_name), "/dev/r%s%c",
-		diskdev, 'a' + getrawpartition());
+		pm->diskdev, 'a' + getrawpartition());
 
 	/*
 	 * Open the disk as a raw device
@@ -154,7 +154,7 @@ md_get_info(void)
 	/*
 	 * Try to get the default disklabel info for the device
 	 */
-	if (ioctl(fd, DIOCGDINFO, &disklabel) == -1) {
+	if (ioctl(fd, DIOCGDINFO, &pm->disklabel) == -1) {
 		endwin();
 		fprintf (stderr, "Can't read disklabel on %s\n", dev_name);
 		close(fd);
@@ -164,30 +164,30 @@ md_get_info(void)
 	 * Get the disk parameters from the disk driver.  It should have
 	 *  obained them by querying the disk itself.
 	 */
-	blk_size = disklabel.d_secsize;
-	dlcyl = disklabel.d_ncylinders;
-	dlhead = disklabel.d_ntracks;
-	dlsec = disklabel.d_nsectors;
+	blk_size = pm->disklabel.d_secsize;
+	pm->dlcyl = pm->disklabel.d_ncylinders;
+	pm->dlhead = pm->disklabel.d_ntracks;
+	pm->dlsec = pm->disklabel.d_nsectors;
 	/*
 	 * Just in case, initialize the structures we'll need if we
 	 *  need to completely initialize the disk.
 	 */
-	dlsize = disklabel.d_secperunit;
+	pm->dlsize = pm->disklabel.d_secperunit;
 	for (i=0;i<NEW_MAP_SIZE;i++) {
 	   if (i > 0)
 		new_map[i].pmPyPartStart = new_map[i-1].pmPyPartStart +
 			new_map[i-1].pmPartBlkCnt;
 	   new_map[i].pmDataCnt = new_map[i].pmPartBlkCnt;
 	   if (new_map[i].pmPartBlkCnt == 0) {
-		new_map[i].pmPartBlkCnt = dlsize;
-		new_map[i].pmDataCnt = dlsize;
+		new_map[i].pmPartBlkCnt = pm->dlsize;
+		new_map[i].pmDataCnt = pm->dlsize;
 		break;
 	   }
-	   dlsize -= new_map[i].pmPartBlkCnt;
+	   pm->dlsize -= new_map[i].pmPartBlkCnt;
 	}
-	dlsize = disklabel.d_secperunit;
+	pm->dlsize = pm->disklabel.d_secperunit;
 #if 0
-	msg_display(MSG_dldebug, blk_size, dlcyl, dlhead, dlsec, dlsize);
+	msg_display(MSG_dldebug, blk_size, pm->dlcyl, pm->dlhead, pm->dlsec, pm->dlsize);
 	process_menu(MENU_ok, NULL);
 #endif
 	map.size = 0;
@@ -223,7 +223,7 @@ md_get_info(void)
 	/*
 	 * Setup the disktype so /etc/disktab gets proper info
 	 */
-	if (strncmp(diskdev, "sd", 2) == 0) {
+	if (strncmp(pm->diskdev, "sd", 2) == 0) {
 		disktype = "SCSI";
 		doessf = "sf:";
 	} else
@@ -261,16 +261,16 @@ md_make_bsd_partitions(void)
 	}
 
 	/* Build standard partitions */
-	memset(&bsdlabel, 0, sizeof bsdlabel);
+	memset(&pm->bsdlabel, 0, sizeof pm->bsdlabel);
 
 	/*
 	 * The mac68k port has a predefined partition for "c" which
 	 *  is the size of the disk, everything else is unused.
 	 */
-	bsdlabel[RAW_PART].pi_size = dlsize;
+	pm->bsdlabel[RAW_PART].pi_size = pm->dlsize;
 	/*
 	 * Now, scan through the Disk Partition Map and transfer the
-	 *  information into the incore disklabel.
+	 *  information into the incore pm->disklabel.
 	 */
 	for (i=0;i<map.usable_cnt;i++) {
 	    j = map.mblk[i];
@@ -279,37 +279,37 @@ md_make_bsd_partitions(void)
 		pl = bzb->flags.part - 'a';
 		switch (whichType(&map.blk[j])) {
 		    case HFS_PART:
-			bsdlabel[pl].pi_fstype = FS_HFS;
-			strcpy (bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
+			pm->bsdlabel[pl].pi_fstype = FS_HFS;
+			strcpy (pm->bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
 			break;
 		    case ROOT_PART:
 		    case UFS_PART:
-			bsdlabel[pl].pi_fstype = FS_BSDFFS;
-			strcpy (bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
-			bsdlabel[pl].pi_flags |= PIF_NEWFS | PIF_MOUNT;
+			pm->bsdlabel[pl].pi_fstype = FS_BSDFFS;
+			strcpy (pm->bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
+			pm->bsdlabel[pl].pi_flags |= PIF_NEWFS | PIF_MOUNT;
 			break;
 		    case SWAP_PART:
-			bsdlabel[pl].pi_fstype = FS_SWAP;
+			pm->bsdlabel[pl].pi_fstype = FS_SWAP;
 			break;
 		    case SCRATCH_PART:
-			bsdlabel[pl].pi_fstype = FS_OTHER;
-			strcpy (bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
+			pm->bsdlabel[pl].pi_fstype = FS_OTHER;
+			strcpy (pm->bsdlabel[pl].pi_mount, (char *)bzb->mount_point);
 		    default:
 			break;
 		}
-	        if (bsdlabel[pl].pi_fstype != FS_UNUSED) {
-		    bsdlabel[pl].pi_size = map.blk[j].pmPartBlkCnt;
-		    bsdlabel[pl].pi_offset = map.blk[j].pmPyPartStart;
-		    if (bsdlabel[pl].pi_fstype != FS_SWAP) {
-		        bsdlabel[pl].pi_frag = 8;
-		        bsdlabel[pl].pi_fsize = 1024;
+	        if (pm->bsdlabel[pl].pi_fstype != FS_UNUSED) {
+		    pm->bsdlabel[pl].pi_size = map.blk[j].pmPartBlkCnt;
+		    pm->bsdlabel[pl].pi_offset = map.blk[j].pmPyPartStart;
+		    if (pm->bsdlabel[pl].pi_fstype != FS_SWAP) {
+		        pm->bsdlabel[pl].pi_frag = 8;
+		        pm->bsdlabel[pl].pi_fsize = 1024;
 		    }
 		}
 	    }
 	}
 
 	/* Disk name  - don't bother asking, just use the physical name*/
-	strcpy (bsddiskname, diskdev);
+	strcpy (pm->bsddiskname, pm->diskdev);
 
 #ifdef DEBUG
 	f = fopen ("/tmp/disktab", "w");
@@ -321,26 +321,26 @@ md_make_bsd_partitions(void)
 		(void) fprintf (stderr, "Could not open /etc/disktab");
 		exit (1);
 	}
-	(void)fprintf (f, "%s|NetBSD installation generated:\\\n", bsddiskname);
+	(void)fprintf (f, "%s|NetBSD installation generated:\\\n", pm->bsddiskname);
 	(void)fprintf (f, "\t:dt=%s:ty=winchester:\\\n", disktype);
-	(void)fprintf (f, "\t:nc#%d:nt#%d:ns#%d:\\\n", dlcyl, dlhead, dlsec);
-	(void)fprintf (f, "\t:sc#%d:su#%" PRIu32 ":\\\n", dlhead*dlsec, (uint32_t)dlsize);
+	(void)fprintf (f, "\t:nc#%d:nt#%d:ns#%d:\\\n", pm->dlcyl, pm->dlhead, pm->dlsec);
+	(void)fprintf (f, "\t:sc#%d:su#%" PRIu32 ":\\\n", pm->dlhead*pm->dlsec, (uint32_t)pm->dlsize);
 	(void)fprintf (f, "\t:se#%d:%s\\\n", blk_size, doessf);
 	for (i=0; i<8; i++) {
-		if (bsdlabel[i].pi_fstype == FS_HFS)
+		if (pm->bsdlabel[i].pi_fstype == FS_HFS)
 		    (void)fprintf (f, "\t:p%c#%d:o%c#%d:t%c=macos:",
-			       'a'+i, bsdlabel[i].pi_size,
-			       'a'+i, bsdlabel[i].pi_offset,
+			       'a'+i, pm->bsdlabel[i].pi_size,
+			       'a'+i, pm->bsdlabel[i].pi_offset,
 			       'a'+i);
 		else
 		    (void)fprintf (f, "\t:p%c#%d:o%c#%d:t%c=%s:",
-			       'a'+i, bsdlabel[i].pi_size,
-			       'a'+i, bsdlabel[i].pi_offset,
-			       'a'+i, getfslabelname(bsdlabel[i].pi_fstype));
-		if (bsdlabel[i].pi_fstype == FS_BSDFFS)
+			       'a'+i, pm->bsdlabel[i].pi_size,
+			       'a'+i, pm->bsdlabel[i].pi_offset,
+			       'a'+i, getfslabelname(pm->bsdlabel[i].pi_fstype));
+		if (pm->bsdlabel[i].pi_fstype == FS_BSDFFS)
 			(void)fprintf (f, "b%c#%d:f%c#%d",
-			   'a'+i, bsdlabel[i].pi_fsize * bsdlabel[i].pi_frag,
-			   'a'+i, bsdlabel[i].pi_fsize);
+			   'a'+i, pm->bsdlabel[i].pi_fsize * pm->bsdlabel[i].pi_frag,
+			   'a'+i, pm->bsdlabel[i].pi_fsize);
 		if (i < 7)
 			(void)fprintf (f, "\\\n");
 		else
@@ -369,7 +369,7 @@ md_pre_disklabel(void)
 {
     int fd;
     char dev_name[100];
-    struct disklabel lp;
+    struct pm->disklabel lp;
     Block0 new_block0 = {APPLE_DRVR_MAP_MAGIC, 512,
 	 		 0, 0, 0, 0, 0, 0, 0, 0, {0}};
 
@@ -379,7 +379,7 @@ md_pre_disklabel(void)
      */
     printf ("%s", msg_string (MSG_dodiskmap));
 
-    snprintf (dev_name, sizeof(dev_name), "/dev/r%sc", diskdev);
+    snprintf (dev_name, sizeof(dev_name), "/dev/r%sc", pm->diskdev);
     /*
      * Open the disk as a raw device
      */
@@ -400,7 +400,7 @@ md_pre_disklabel(void)
 	    close (fd);
 	    exit (1);
 	}
-	new_block0.sbBlkCount = dlsize;		/* Set disk size */
+	new_block0.sbBlkCount = pm->dlsize;		/* Set disk size */
 	if (write (fd, &new_block0, blk_size) != blk_size) {
 	    endwin();
 	    fprintf (stderr, "I/O error writing Block0\n");
@@ -429,7 +429,7 @@ md_pre_disklabel(void)
      * should be done by disklabel -- which is normally called right after
      * we return -- but may be commented out for the mac68k port. We'll
      * instead update the incore table by forcing a dummy write here. This
-     * relies on a change in the mac68k-specific writedisklabel() routine.
+     * relies on a change in the mac68k-specific write_disklabel() routine.
      * If that change doesn't exist nothing bad happens here. If disklabel
      * properly updates the ondisk and incore labels everything still
      * works. Only if we fail here and if disklabel fails are we in
@@ -457,7 +457,7 @@ md_pre_disklabel(void)
 int
 md_post_disklabel(void)
 {
-    struct disklabel updated_label;
+    struct pm->disklabel updated_label;
     int fd, i, no_match;
     char dev_name[100], buf[80];
     const char *fst[] = {"free", "swap", " v6 ", " v7 ", "sysv", "v71k",
@@ -465,7 +465,7 @@ md_post_disklabel(void)
 			"9660", "boot", "ados", "hfs ", "fcor", "ex2f",
 			"ntfs", "raid", "ccd "};
 
-    snprintf(dev_name, sizeof(dev_name), "/dev/r%sc", diskdev);
+    snprintf(dev_name, sizeof(dev_name), "/dev/r%sc", pm->diskdev);
     /*
      * Open the disk as a raw device
      */
@@ -484,12 +484,12 @@ md_post_disklabel(void)
     for (i=0;i<MAXPARTITIONS;i++) {
         if (i > updated_label.d_npartitions)
            break;
-        if (bsdlabel[i].pi_size != updated_label.d_partitions[i].p_size)
+        if (pm->bsdlabel[i].pi_size != updated_label.d_partitions[i].p_size)
            no_match = 1;
-        if (bsdlabel[i].pi_size) {
-           if (bsdlabel[i].pi_offset != updated_label.d_partitions[i].p_offset)
+        if (pm->bsdlabel[i].pi_size) {
+           if (pm->bsdlabel[i].pi_offset != updated_label.d_partitions[i].p_offset)
                no_match = 1;
-           if (bsdlabel[i].pi_fstype != updated_label.d_partitions[i].p_fstype)
+           if (pm->bsdlabel[i].pi_fstype != updated_label.d_partitions[i].p_fstype)
                no_match = 1;
         }
         if (no_match)
@@ -505,8 +505,8 @@ md_post_disklabel(void)
            " in-core: offset      size type on-disk: offset      size type");
        for (i=0;i<MAXPARTITIONS;i++) {
            sprintf(buf, " %c:%13.8x%10.8x%5s%16.8x%10.8x%5s", i+'a',
-              bsdlabel[i].pi_offset, bsdlabel[i].pi_size,
-              fst[bsdlabel[i].pi_fstype],
+              pm->bsdlabel[i].pi_offset, pm->bsdlabel[i].pi_size,
+              fst[pm->bsdlabel[i].pi_fstype],
               updated_label.d_partitions[i].p_offset,
               updated_label.d_partitions[i].p_size,
               fst[updated_label.d_partitions[i].p_fstype]);
@@ -759,7 +759,7 @@ getName(part, len_name, name)
 		/*
 		 * OK, this is stupid but it's damn nice to know!
 		 */
-		snprintf (dev_name, sizeof(dev_name), "/dev/r%sc", diskdev);
+		snprintf (dev_name, sizeof(dev_name), "/dev/r%sc", pm->diskdev);
 		/*
 		 * Open the disk as a raw device
 		 */
@@ -1048,7 +1048,7 @@ disp_selected_part(sel)
 	    getUse(&map.blk[j], sizeof(use), use);
 	    getName(&map.blk[j], sizeof(name), name);
 	    bzb = (EBZB *)&map.blk[j].pmBootArgs[0];
-	    msg_table_add(MSG_part_row, diskdev,
+	    msg_table_add(MSG_part_row, pm->diskdev,
 		bzb->flags.part, map.blk[j].pmPyPartStart,
                  map.blk[j].pmPartBlkCnt, fstyp, use, name);
 	    if (i == sel) msg_standend();
@@ -1070,9 +1070,9 @@ check_for_errors()
 
     for (i=0;i<map.usable_cnt;i++) {
 	j = map.mblk[i];
-	if (map.blk[j].pmPyPartStart > dlsize)
+	if (map.blk[j].pmPyPartStart > pm->dlsize)
 		errs++;
-	if ((map.blk[j].pmPyPartStart + map.blk[j].pmPartBlkCnt) > dlsize + 1)
+	if ((map.blk[j].pmPyPartStart + map.blk[j].pmPartBlkCnt) > pm->dlsize + 1)
 		errs++;
     }
     return(errs);
@@ -1106,16 +1106,16 @@ report_errors()
     }
     for (i=0;i<map.usable_cnt;i++) {
 	j = map.mblk[i];
-	if (map.blk[j].pmPyPartStart > dlsize) {
+	if (map.blk[j].pmPyPartStart > pm->dlsize) {
 	    bzb = (EBZB *)&map.blk[j].pmBootArgs[0];
 	    msg_display_add(MSG_disksetup_part_beginning,
-		diskdev, bzb->flags.part);
+		pm->diskdev, bzb->flags.part);
 	    errs++;
 	}
-	if ((map.blk[j].pmPyPartStart + map.blk[j].pmPartBlkCnt) > dlsize) {
+	if ((map.blk[j].pmPyPartStart + map.blk[j].pmPartBlkCnt) > pm->dlsize) {
 	    bzb = (EBZB *)&map.blk[j].pmBootArgs[0];
 	    msg_display_add(MSG_disksetup_part_size,
-		diskdev, bzb->flags.part);
+		pm->diskdev, bzb->flags.part);
 	    errs++;
 	}
     }
@@ -1130,7 +1130,7 @@ edit_diskmap(void)
     int i;
 
 	/* Ask full/part */
-	msg_display (MSG_fullpart, diskdev);
+	msg_display (MSG_fullpart, pm->diskdev);
 	process_menu (MENU_fullpart, NULL);
 
 	map.selected = 0;
diff --git a/distrib/utils/sysinst/arch/mac68k/menus.md.de b/distrib/utils/sysinst/arch/mac68k/menus.md.de
index 5164dad..79830b0 100644
--- a/distrib/utils/sysinst/arch/mac68k/menus.md.de
+++ b/distrib/utils/sysinst/arch/mac68k/menus.md.de
@@ -39,7 +39,7 @@ menu fullpart, title  "Bitte w
 	option "Die ganze Festplatte für NetBSD verwenden", exit, action  {usefull = 1;};
 
 menu nodiskmap, title "Bitte wählen Sie", y=16;
-	display action { msg_display (MSG_nodiskmap, diskdev); };
+	display action { msg_display (MSG_nodiskmap, pm->diskdev); };
 	option "Installation abbrechen", exit, action {
 		endwin();  exit(1);
 	};
@@ -99,9 +99,9 @@ menu editparttable, title  "W
 			bzb->mount_point[0] = '\0';
 			strcpy (map.blk[k].pmPartType, "Apple_Free");
 			map.blk[k].pmPyPartStart += size;
-			if ((map.blk[k].pmPyPartStart + free_size) > dlsize)
+			if ((map.blk[k].pmPyPartStart + free_size) > pm->dlsize)
 			    map.blk[k].pmPartBlkCnt =
-				dlsize - map.blk[k].pmPyPartStart;
+				pm->dlsize - map.blk[k].pmPyPartStart;
 			else
 			    map.blk[k].pmPartBlkCnt = free_size;
 			map.blk[k].pmDataCnt = map.blk[k].pmPartBlkCnt;
@@ -129,20 +129,20 @@ menu editparttable, title  "W
 	option "Partition korrigieren", action {
 		int i = map.mblk[map.selected];
 		EBZB *bzb = (EBZB *)&map.blk[i].pmBootArgs[0];
-		msg_display(MSG_partdebug, diskdev, bzb->flags.part,
+		msg_display(MSG_partdebug, pm->diskdev, bzb->flags.part,
 			map.blk[i].pmPyPartStart,
 			map.blk[i].pmPartBlkCnt);
 		if ((map.blk[i].pmPyPartStart +
-		    map.blk[i].pmPartBlkCnt) > dlsize) {
+		    map.blk[i].pmPartBlkCnt) > pm->dlsize) {
 			msg_display_add(MSG_parttable_fix_fixing,
-				diskdev, bzb->flags.part);
+				pm->diskdev, bzb->flags.part);
 			map.blk[i].pmPartBlkCnt =
-			    dlsize - map.blk[i].pmPyPartStart;
+			    pm->dlsize - map.blk[i].pmPyPartStart;
 			map.blk[i].pmDataCnt =
 			    map.blk[i].pmPartBlkCnt;
 		} else {
 		    msg_display_add(MSG_parttable_fix_fine,
-			diskdev, bzb->flags.part);
+			pm->diskdev, bzb->flags.part);
 		}
 		process_menu(MENU_ok, NULL);
 		};
diff --git a/distrib/utils/sysinst/arch/mac68k/menus.md.en b/distrib/utils/sysinst/arch/mac68k/menus.md.en
index a4c18e3..4ae1bce 100644
--- a/distrib/utils/sysinst/arch/mac68k/menus.md.en
+++ b/distrib/utils/sysinst/arch/mac68k/menus.md.en
@@ -39,7 +39,7 @@ menu fullpart, title  "Select your choice";
 	option "Use the entire disk", 	    exit, action  {usefull = 1;};
 
 menu nodiskmap, title "Choose an option", y=16;
-	display action { msg_display (MSG_nodiskmap, diskdev); };
+	display action { msg_display (MSG_nodiskmap, pm->diskdev); };
 	option "Abort install", exit, action {
 		endwin();  exit(1);
 	};
@@ -99,9 +99,9 @@ menu editparttable, title  "Choose your partition", exit, y=14;
 			bzb->mount_point[0] = '\0';
 			strcpy ((char *)map.blk[k].pmPartType, "Apple_Free");
 			map.blk[k].pmPyPartStart += size;
-			if ((map.blk[k].pmPyPartStart + free_size) > dlsize)
+			if ((map.blk[k].pmPyPartStart + free_size) > pm->dlsize)
 			    map.blk[k].pmPartBlkCnt =
-				dlsize - map.blk[k].pmPyPartStart;
+				pm->dlsize - map.blk[k].pmPyPartStart;
 			else
 			    map.blk[k].pmPartBlkCnt = free_size;
 			map.blk[k].pmDataCnt = map.blk[k].pmPartBlkCnt;
@@ -129,20 +129,20 @@ menu editparttable, title  "Choose your partition", exit, y=14;
 	option "Fix selected partition", action {
 		int i = map.mblk[map.selected];
 		EBZB *bzb = (EBZB *)&map.blk[i].pmBootArgs[0];
-		msg_display(MSG_partdebug, diskdev, bzb->flags.part,
+		msg_display(MSG_partdebug, pm->diskdev, bzb->flags.part,
 			map.blk[i].pmPyPartStart,
 			map.blk[i].pmPartBlkCnt);
 		if ((map.blk[i].pmPyPartStart +
-		    map.blk[i].pmPartBlkCnt) > dlsize) {
+		    map.blk[i].pmPartBlkCnt) > pm->dlsize) {
 			msg_display_add(MSG_parttable_fix_fixing,
-				diskdev, bzb->flags.part);
+				pm->diskdev, bzb->flags.part);
 			map.blk[i].pmPartBlkCnt =
-			    dlsize - map.blk[i].pmPyPartStart;
+			    pm->dlsize - map.blk[i].pmPyPartStart;
 			map.blk[i].pmDataCnt =
 			    map.blk[i].pmPartBlkCnt;
 		} else {
 		    msg_display_add(MSG_parttable_fix_fine,
-			diskdev, bzb->flags.part);
+			pm->diskdev, bzb->flags.part);
 		}
 		process_menu(MENU_ok, NULL);
 		};
diff --git a/distrib/utils/sysinst/arch/mac68k/menus.md.es b/distrib/utils/sysinst/arch/mac68k/menus.md.es
index 3c81043..d79e4cd 100644
--- a/distrib/utils/sysinst/arch/mac68k/menus.md.es
+++ b/distrib/utils/sysinst/arch/mac68k/menus.md.es
@@ -39,7 +39,7 @@ menu fullpart, title  "Seleccione su opcion";
 	option "Usar el disco entero", 	    exit, action  {usefull = 1;};
 
 menu nodiskmap, title "Escoja una opcion", y=16;
-	display action { msg_display (MSG_nodiskmap, diskdev); };
+	display action { msg_display (MSG_nodiskmap, pm->diskdev); };
 	option "Abortar instalacion", exit, action {
 		endwin();  exit(1);
 	};
@@ -99,9 +99,9 @@ menu editparttable, title  "Escoja su particion", exit, y=14;
 			bzb->mount_point[0] = '\0';
 			strcpy (map.blk[k].pmPartType, "Apple_Free");
 			map.blk[k].pmPyPartStart += size;
-			if ((map.blk[k].pmPyPartStart + free_size) > dlsize)
+			if ((map.blk[k].pmPyPartStart + free_size) > pm->dlsize)
 			    map.blk[k].pmPartBlkCnt =
-				dlsize - map.blk[k].pmPyPartStart;
+				pm->dlsize - map.blk[k].pmPyPartStart;
 			else
 			    map.blk[k].pmPartBlkCnt = free_size;
 			map.blk[k].pmDataCnt = map.blk[k].pmPartBlkCnt;
@@ -129,20 +129,20 @@ menu editparttable, title  "Escoja su particion", exit, y=14;
 	option "Arreglar particion seleccionada", action {
 		int i = map.mblk[map.selected];
 		EBZB *bzb = (EBZB *)&map.blk[i].pmBootArgs[0];
-		msg_display(MSG_partdebug, diskdev, bzb->flags.part,
+		msg_display(MSG_partdebug, pm->diskdev, bzb->flags.part,
 			map.blk[i].pmPyPartStart,
 			map.blk[i].pmPartBlkCnt);
 		if ((map.blk[i].pmPyPartStart +
-		    map.blk[i].pmPartBlkCnt) > dlsize) {
+		    map.blk[i].pmPartBlkCnt) > pm->dlsize) {
 			msg_display_add(MSG_parttable_fix_fixing,
-				diskdev, bzb->flags.part);
+				pm->diskdev, bzb->flags.part);
 			map.blk[i].pmPartBlkCnt =
-			    dlsize - map.blk[i].pmPyPartStart;
+			    pm->dlsize - map.blk[i].pmPyPartStart;
 			map.blk[i].pmDataCnt =
 			    map.blk[i].pmPartBlkCnt;
 		} else {
 		    msg_display_add(MSG_parttable_fix_fine,
-			diskdev, bzb->flags.part);
+			pm->diskdev, bzb->flags.part);
 		}
 		process_menu(MENU_ok, NULL);
 		};
diff --git a/distrib/utils/sysinst/arch/mac68k/menus.md.pl b/distrib/utils/sysinst/arch/mac68k/menus.md.pl
index 8d5a70d..41de635 100644
--- a/distrib/utils/sysinst/arch/mac68k/menus.md.pl
+++ b/distrib/utils/sysinst/arch/mac68k/menus.md.pl
@@ -41,7 +41,7 @@ menu fullpart, title  "Wybierz";
 	option "Uzyj calego dysku", 	    exit, action  {usefull = 1;};
 
 menu nodiskmap, title "Wybierz opcje", y=16;
-       display action { msg_display (MSG_nodiskmap, diskdev); };
+       display action { msg_display (MSG_nodiskmap, pm->diskdev); };
        option "Przerwij instalacje", exit, action {
 		endwin();  exit(1);
 	};
@@ -101,9 +101,9 @@ menu editparttable, title  "Wybierz swoje partycje", exit, y=14;
 			bzb->mount_point[0] = '\0';
 			strcpy (map.blk[k].pmPartType, "Apple_Free");
 			map.blk[k].pmPyPartStart += size;
-			if ((map.blk[k].pmPyPartStart + free_size) > dlsize)
+			if ((map.blk[k].pmPyPartStart + free_size) > pm->dlsize)
 			    map.blk[k].pmPartBlkCnt =
-				dlsize - map.blk[k].pmPyPartStart;
+				pm->dlsize - map.blk[k].pmPyPartStart;
 			else
 			    map.blk[k].pmPartBlkCnt = free_size;
 			map.blk[k].pmDataCnt = map.blk[k].pmPartBlkCnt;
@@ -131,20 +131,20 @@ menu editparttable, title  "Wybierz swoje partycje", exit, y=14;
 	option "Napraw wybrana partycje", action {
 		int i = map.mblk[map.selected];
 		EBZB *bzb = (EBZB *)&map.blk[i].pmBootArgs[0];
-		msg_display(MSG_partdebug, diskdev, bzb->flags.part,
+		msg_display(MSG_partdebug, pm->diskdev, bzb->flags.part,
 			map.blk[i].pmPyPartStart,
 			map.blk[i].pmPartBlkCnt);
 		if ((map.blk[i].pmPyPartStart +
-		    map.blk[i].pmPartBlkCnt) > dlsize) {
+		    map.blk[i].pmPartBlkCnt) > pm->dlsize) {
 			msg_display_add(MSG_parttable_fix_fixing,
-				diskdev, bzb->flags.part);
+				pm->diskdev, bzb->flags.part);
 			map.blk[i].pmPartBlkCnt =
-			    dlsize - map.blk[i].pmPyPartStart;
+			    pm->dlsize - map.blk[i].pmPyPartStart;
 			map.blk[i].pmDataCnt =
 			    map.blk[i].pmPartBlkCnt;
 		} else {
 		    msg_display_add(MSG_parttable_fix_fine,
-			diskdev, bzb->flags.part);
+			pm->diskdev, bzb->flags.part);
 		}
 		process_menu(MENU_ok, NULL);
 		};
diff --git a/distrib/utils/sysinst/arch/macppc/md.c b/distrib/utils/sysinst/arch/macppc/md.c
index 2b9d90c..ff9c6e7 100644
--- a/distrib/utils/sysinst/arch/macppc/md.c
+++ b/distrib/utils/sysinst/arch/macppc/md.c
@@ -63,11 +63,11 @@ md_init_set_status(int flags)
 int
 md_get_info(void)
 {
-	struct disklabel disklabel;
+	struct pm->disklabel pm->disklabel;
 	int fd;
 	char dev_name[100];
 
-	snprintf (dev_name, 100, "/dev/r%sc", diskdev);
+	snprintf (dev_name, 100, "/dev/r%sc", pm->diskdev);
 
 	fd = open (dev_name, O_RDONLY, 0);
 	if (fd < 0) {
@@ -75,7 +75,7 @@ md_get_info(void)
 		fprintf (stderr, "Can't open %s\n", dev_name);
 		exit(1);
 	}
-	if (ioctl(fd, DIOCGDINFO, &disklabel) == -1) {
+	if (ioctl(fd, DIOCGDINFO, &pm->disklabel) == -1) {
 		endwin();
 		fprintf (stderr, "Can't read disklabel on %s.\n", dev_name);
 		close(fd);
@@ -83,21 +83,21 @@ md_get_info(void)
 	}
 	close(fd);
 
-	dlcyl = disklabel.d_ncylinders;
-	dlhead = disklabel.d_ntracks;
-	dlsec = disklabel.d_nsectors;
-	sectorsize = disklabel.d_secsize;
-	dlcylsize = disklabel.d_secpercyl;
+	pm->dlcyl = pm->disklabel.d_ncylinders;
+	pm->dlhead = pm->disklabel.d_ntracks;
+	pm->dlsec = pm->disklabel.d_nsectors;
+	pm->sectorsize = pm->disklabel.d_secsize;
+	pm->dlcylsize = pm->disklabel.d_secpercyl;
 
 	/*
-	 * Compute whole disk size. Take max of (dlcyl*dlhead*dlsec)
+	 * Compute whole disk size. Take max of (pm->dlcyl*pm->dlhead*pm->dlsec)
 	 * and secperunit,  just in case the disk is already labelled.
 	 * (If our new label's RAW_PART size ends up smaller than the
 	 * in-core RAW_PART size  value, updating the label will fail.)
 	 */
-	dlsize = dlcyl*dlhead*dlsec;
-	if (disklabel.d_secperunit > dlsize)
-		dlsize = disklabel.d_secperunit;
+	pm->dlsize = pm->dlcyl*pm->dlhead*pm->dlsec;
+	if (pm->disklabel.d_secperunit > pm->dlsize)
+		pm->dlsize = pm->disklabel.d_secperunit;
 
 	return 1;
 }
@@ -172,14 +172,14 @@ md_post_newfs(void)
 	 * yet, so assume partition a has some offset on OF3 machines
 	 * and don't try installboot(8) in that case.
 	 */
-	if (bsdlabel[PART_A].pi_offset != 0)
+	if (pm->bsdlabel[PART_A].pi_offset != 0)
 		return 0;
 
-	printf (msg_string(MSG_dobootblks), diskdev);
+	printf (msg_string(MSG_dobootblks), pm->diskdev);
 	cp_to_target("/usr/mdec/ofwboot", bootfile);
 	sync();
 	run_program(RUN_DISPLAY, "/usr/sbin/installboot /dev/r%sa %s %s",
-	    diskdev, "/usr/mdec/bootxx", bootfile);
+	    pm->diskdev, "/usr/mdec/bootxx", bootfile);
 	return 0;
 }
 
diff --git a/distrib/utils/sysinst/arch/mipsco/md.c b/distrib/utils/sysinst/arch/mipsco/md.c
index 1a035d5..7f2db6a 100644
--- a/distrib/utils/sysinst/arch/mipsco/md.c
+++ b/distrib/utils/sysinst/arch/mipsco/md.c
@@ -63,11 +63,11 @@ md_init_set_status(int flags)
 int
 md_get_info(void)
 {
-	struct disklabel disklabel;
+	struct pm->disklabel pm->disklabel;
 	int fd;
 	char dev_name[100];
 
-	snprintf(dev_name, 100, "/dev/r%sc", diskdev);
+	snprintf(dev_name, 100, "/dev/r%sc", pm->diskdev);
 
 	fd = open(dev_name, O_RDONLY, 0);
 	if (fd < 0) {
@@ -77,7 +77,7 @@ md_get_info(void)
 		fprintf(stderr, "Can't open %s\n", dev_name);
 		exit(1);
 	}
-	if (ioctl(fd, DIOCGDINFO, &disklabel) == -1) {
+	if (ioctl(fd, DIOCGDINFO, &pm->disklabel) == -1) {
 		if (logfp)
 			(void)fprintf(logfp, "Can't read disklabel on %s.\n",
 				dev_name);
@@ -88,21 +88,21 @@ md_get_info(void)
 	}
 	close(fd);
 
-	dlcyl = disklabel.d_ncylinders;
-	dlhead = disklabel.d_ntracks;
-	dlsec = disklabel.d_nsectors;
-	sectorsize = disklabel.d_secsize;
-	dlcylsize = disklabel.d_secpercyl;
+	pm->dlcyl = pm->disklabel.d_ncylinders;
+	pm->dlhead = pm->disklabel.d_ntracks;
+	pm->dlsec = pm->disklabel.d_nsectors;
+	pm->sectorsize = pm->disklabel.d_secsize;
+	pm->dlcylsize = pm->disklabel.d_secpercyl;
 
 	/*
-	 * Compute whole disk size. Take max of (dlcyl*dlhead*dlsec)
+	 * Compute whole disk size. Take max of (pm->dlcyl*pm->dlhead*pm->dlsec)
 	 * and secperunit,  just in case the disk is already labelled.
 	 * (If our new label's RAW_PART size ends up smaller than the
 	 * in-core RAW_PART size  value, updating the label will fail.)
 	 */
-	dlsize = dlcyl*dlhead*dlsec;
-	if (disklabel.d_secperunit > dlsize)
-		dlsize = disklabel.d_secperunit;
+	pm->dlsize = pm->dlcyl*pm->dlhead*pm->dlsec;
+	if (pm->disklabel.d_secperunit > pm->dlsize)
+		pm->dlsize = pm->disklabel.d_secperunit;
 
 	return 1;
 }
@@ -160,10 +160,10 @@ md_post_newfs(void)
 		return 0;
 	}
 
-	printf(msg_string(MSG_dobootblks), diskdev);
+	printf(msg_string(MSG_dobootblks), pm->diskdev);
 	cp_to_target("/usr/mdec/boot", "/boot");
 	if (run_program(RUN_DISPLAY | RUN_NO_CLEAR,
-	    "/usr/mdec/installboot /dev/r%sc /usr/mdec/bootxx_ffs", diskdev))
+	    "/usr/mdec/installboot /dev/r%sc /usr/mdec/bootxx_ffs", pm->diskdev))
 		process_menu(MENU_ok,
 			deconst("Warning: disk is probably not bootable"));
 	return 0;
diff --git a/distrib/utils/sysinst/arch/mvme68k/md.c b/distrib/utils/sysinst/arch/mvme68k/md.c
index 77064f6..7821f98 100644
--- a/distrib/utils/sysinst/arch/mvme68k/md.c
+++ b/distrib/utils/sysinst/arch/mvme68k/md.c
@@ -64,9 +64,9 @@ md_get_info(void)
 	char buf[1024];
 	int fd;
 	char dev_name[100];
-	struct disklabel disklabel;
+	struct pm->disklabel pm->disklabel;
 
-	snprintf(dev_name, 100, "/dev/r%sc", diskdev);
+	snprintf(dev_name, 100, "/dev/r%sc", pm->diskdev);
 
 	fd = open(dev_name, O_RDONLY, 0);
 	if (fd < 0) {
@@ -76,7 +76,7 @@ md_get_info(void)
 		fprintf(stderr, "Can't open %s\n", dev_name);
 		exit(1);
 	}
-	if (ioctl(fd, DIOCGDINFO, &disklabel) == -1) {
+	if (ioctl(fd, DIOCGDINFO, &pm->disklabel) == -1) {
 		if (logfp)
 			(void)fprintf(logfp, "Can't read disklabel on %s.\n",
 				dev_name);
@@ -85,19 +85,19 @@ md_get_info(void)
 		close(fd);
 		exit(1);
 	}
-	if (disklabel.d_secsize != 512) {
+	if (pm->disklabel.d_secsize != 512) {
 		endwin();
 		fprintf(stderr, "Non-512byte/sector disk is not supported.\n");
 		close(fd);
 		exit(1);
 	}
 
-	dlcyl = disklabel.d_ncylinders;
-	dlhead = disklabel.d_ntracks;
-	dlsec = disklabel.d_nsectors;
-	sectorsize = disklabel.d_secsize;
-	dlcylsize = disklabel.d_secpercyl;
-	dlsize = dlcyl*dlhead*dlsec;
+	pm->dlcyl = pm->disklabel.d_ncylinders;
+	pm->dlhead = pm->disklabel.d_ntracks;
+	pm->dlsec = pm->disklabel.d_nsectors;
+	pm->sectorsize = pm->disklabel.d_secsize;
+	pm->dlcylsize = pm->disklabel.d_secpercyl;
+	pm->dlsize = pm->dlcyl*pm->dlhead*pm->dlsec;
 
 	if (read(fd, buf, 1024) < 0) {
 		endwin();
@@ -107,7 +107,7 @@ md_get_info(void)
 	}
 
 	/* preserve first cylinder for system. */
-	ptstart = disklabel.d_secpercyl;
+	pm->ptstart = pm->disklabel.d_secpercyl;
 
 	close(fd);
 
@@ -137,22 +137,22 @@ md_check_partitions(void)
 	for (part = PART_A; part < 8; part++) {
 		if (part == PART_C)
 			continue;
-		if (last >= PART_A && bsdlabel[part].pi_size > 0) {
+		if (last >= PART_A && pm->bsdlabel[part].pi_size > 0) {
 			msg_display(MSG_emptypart, part+'a');
 			process_menu(MENU_ok, NULL);
 			return 0;
 		}
-		if (bsdlabel[part].pi_size == 0) {
+		if (pm->bsdlabel[part].pi_size == 0) {
 			if (last < PART_A)
 				last = part;
 		} else {
-			if (start > bsdlabel[part].pi_offset) {
+			if (start > pm->bsdlabel[part].pi_offset) {
 				msg_display(MSG_ordering, part+'a');
 				process_menu(MENU_yesno, NULL);
 				if (yesno)
 					return 0;
 			}
-			start = bsdlabel[part].pi_offset;
+			start = pm->bsdlabel[part].pi_offset;
 		}
 	}
 
@@ -175,7 +175,7 @@ int
 md_post_disklabel(void)
 {
 	if (get_ramsize() < 6)
-		set_swap(diskdev, bsdlabel);
+		set_swap(pm->diskdev, pm->bsdlabel);
 
 	return 0;
 }
@@ -192,11 +192,11 @@ md_post_newfs(void)
 {
 
 	/* boot blocks ... */
-	msg_display(MSG_dobootblks, diskdev);
+	msg_display(MSG_dobootblks, pm->diskdev);
 	cp_to_target("/usr/mdec/bootsd", "/.bootsd");
 	if (run_program(RUN_DISPLAY | RUN_NO_CLEAR,
 	    "/usr/mdec/installboot %s /usr/mdec/bootxx /dev/r%sa",
-	    target_expand("/.bootsd"), diskdev))
+	    target_expand("/.bootsd"), pm->diskdev))
 		process_menu(MENU_ok,
 			deconst("Warning: disk is probably not bootable"));
 	return 0;
@@ -220,7 +220,7 @@ int
 md_pre_update(void)
 {
 	if (get_ramsize() < 6)
-		set_swap(diskdev, NULL);
+		set_swap(pm->diskdev, NULL);
 	return 1;
 }
 
diff --git a/distrib/utils/sysinst/arch/news68k/md.c b/distrib/utils/sysinst/arch/news68k/md.c
index 021c24d..f355c04 100644
--- a/distrib/utils/sysinst/arch/news68k/md.c
+++ b/distrib/utils/sysinst/arch/news68k/md.c
@@ -64,11 +64,11 @@ md_init_set_status(int flags)
 int
 md_get_info(void)
 {
-	struct disklabel disklabel;
+	struct pm->disklabel pm->disklabel;
 	int fd;
 	char dev_name[100];
 
-	snprintf(dev_name, sizeof(dev_name), "/dev/r%sc", diskdev);
+	snprintf(dev_name, sizeof(dev_name), "/dev/r%sc", pm->diskdev);
 
 	fd = open(dev_name, O_RDONLY, 0);
 	if (fd < 0) {
@@ -76,7 +76,7 @@ md_get_info(void)
 		fprintf(stderr, "Can't open %s\n", dev_name);
 		exit(1);
 	}
-	if (ioctl(fd, DIOCGDINFO, &disklabel) == -1) {
+	if (ioctl(fd, DIOCGDINFO, &pm->disklabel) == -1) {
 		endwin();
 		fprintf(stderr, "Can't read disklabel on %s.\n", dev_name);
 		close(fd);
@@ -84,21 +84,21 @@ md_get_info(void)
 	}
 	close(fd);
 
-	dlcyl = disklabel.d_ncylinders;
-	dlhead = disklabel.d_ntracks;
-	dlsec = disklabel.d_nsectors;
-	sectorsize = disklabel.d_secsize;
-	dlcylsize = disklabel.d_secpercyl;
+	pm->dlcyl = pm->disklabel.d_ncylinders;
+	pm->dlhead = pm->disklabel.d_ntracks;
+	pm->dlsec = pm->disklabel.d_nsectors;
+	pm->sectorsize = pm->disklabel.d_secsize;
+	pm->dlcylsize = pm->disklabel.d_secpercyl;
 
 	/*
-	 * Compute whole disk size. Take max of (dlcyl*dlhead*dlsec)
+	 * Compute whole disk size. Take max of (pm->dlcyl*pm->dlhead*pm->dlsec)
 	 * and secperunit,  just in case the disk is already labelled.
 	 * (If our new label's RAW_PART size ends up smaller than the
 	 * in-core RAW_PART size  value, updating the label will fail.)
 	 */
-	dlsize = dlcyl * dlhead * dlsec;
-	if (disklabel.d_secperunit > dlsize)
-		dlsize = disklabel.d_secperunit;
+	pm->dlsize = pm->dlcyl * pm->dlhead * pm->dlsec;
+	if (pm->disklabel.d_secperunit > pm->dlsize)
+		pm->dlsize = pm->disklabel.d_secperunit;
 
 	return 1;
 }
@@ -155,11 +155,11 @@ md_post_newfs(void)
 {
 	const char *bootfile = "/boot";
 
-	printf(msg_string(MSG_dobootblks), diskdev);
+	printf(msg_string(MSG_dobootblks), pm->diskdev);
 	cp_to_target("/usr/mdec/boot", bootfile);
 	sync();
 	run_program(RUN_DISPLAY, "/usr/sbin/installboot /dev/r%sc %s %s",
-	    diskdev, "/usr/mdec/bootxx", bootfile);
+	    pm->diskdev, "/usr/mdec/bootxx", bootfile);
 	return 0;
 }
 
